import { CSSProperties } from 'vue';
import { ConnectionLineType, HandleType, XYPosition, ConnectionMode, Transform, GraphNode } from '../../types';
declare const _default: import("vue").DefineComponent<{
    sourceNode: {
        type: import("vue").PropType<GraphNode<any>>;
        required: true;
    };
    connectionLineType: {
        type: import("vue").PropType<ConnectionLineType>;
    } & {
        default: ConnectionLineType;
    };
    connectionLineStyle: {
        type: import("vue").PropType<CSSProperties>;
    } & {
        default: () => {};
    };
    connectionHandleId: {
        type: import("vue").PropType<string>;
    };
    connectionNodeId: {
        type: import("vue").PropType<string>;
    };
    connectionHandleType: {
        type: import("vue").PropType<HandleType>;
    };
    connectionPosition: {
        type: import("vue").PropType<XYPosition>;
    } & {
        default: () => {
            x: number;
            y: number;
        };
    };
    connectionMode: {
        type: import("vue").PropType<ConnectionMode>;
        required: true;
    };
    nodes: {
        type: import("vue").PropType<GraphNode<any>[]>;
        required: true;
    };
    transform: {
        type: import("vue").PropType<Transform>;
        required: true;
    };
}, () => void, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    sourceNode?: unknown;
    connectionLineType?: unknown;
    connectionLineStyle?: unknown;
    connectionHandleId?: unknown;
    connectionNodeId?: unknown;
    connectionHandleType?: unknown;
    connectionPosition?: unknown;
    connectionMode?: unknown;
    nodes?: unknown;
    transform?: unknown;
} & {
    sourceNode: GraphNode<any>;
    connectionMode: ConnectionMode;
    connectionLineType: ConnectionLineType;
    connectionLineStyle: CSSProperties;
    transform: Transform;
    connectionPosition: XYPosition;
    nodes: GraphNode<any>[];
} & {
    connectionNodeId?: string | undefined;
    connectionHandleId?: string | undefined;
    connectionHandleType?: HandleType | undefined;
}>, {
    connectionLineType: ConnectionLineType;
    connectionLineStyle: CSSProperties;
    connectionPosition: XYPosition;
}>;
export default _default;
