import { FlowElements, GraphEdge, KeyCode } from '../../types';
declare const _default: import("vue").DefineComponent<{
    edges: {
        type: import("vue").PropType<GraphEdge<any>[]>;
        required: true;
    };
    selectedElements: {
        type: import("vue").PropType<FlowElements<any>>;
    } & {
        default: () => never[];
    };
    selectionKeyCode: {
        type: import("vue").PropType<KeyCode>;
    } & {
        default: string;
    };
    deleteKeyCode: {
        type: import("vue").PropType<KeyCode>;
    } & {
        default: string;
    };
    multiSelectionKeyCode: {
        type: import("vue").PropType<KeyCode>;
    } & {
        default: string;
    };
    elementsSelectable: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    nodesSelectionActive: {
        type: import("vue").PropType<boolean>;
    };
    selectionActive: {
        type: import("vue").PropType<boolean>;
    };
}, () => void, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    edges?: unknown;
    selectedElements?: unknown;
    selectionKeyCode?: unknown;
    deleteKeyCode?: unknown;
    multiSelectionKeyCode?: unknown;
    elementsSelectable?: unknown;
    nodesSelectionActive?: unknown;
    selectionActive?: unknown;
} & {
    deleteKeyCode: KeyCode;
    selectionKeyCode: KeyCode;
    multiSelectionKeyCode: KeyCode;
    elementsSelectable: boolean;
    selectedElements: FlowElements<any>;
    edges: GraphEdge<any>[];
} & {
    nodesSelectionActive?: boolean | undefined;
    selectionActive?: boolean | undefined;
}>, {
    deleteKeyCode: KeyCode;
    selectionKeyCode: KeyCode;
    multiSelectionKeyCode: KeyCode;
    elementsSelectable: boolean;
    selectedElements: FlowElements<any>;
}>;
export default _default;
