import { FlowState } from "../types";
declare const _default: (preloadedState: FlowState) => {
    hooks: import("../types").FlowHooks;
    instance?: import("../types").FlowInstance<any> | undefined;
    elements: import("../types").FlowElements<any>;
    nodeTypes: import("../types").NodeTypes;
    edgeTypes: import("../types").EdgeTypes;
    d3Zoom?: import("../types").D3Zoom | undefined;
    d3Selection?: import("../types").D3Selection | undefined;
    d3ZoomHandler?: import("../types").D3ZoomHandler | undefined;
    minZoom: number;
    maxZoom: number;
    defaultZoom: number;
    translateExtent: import("../types").TranslateExtent;
    nodeExtent: import("../types").TranslateExtent;
    dimensions: import("../types").Dimensions;
    transform: import("../types").Transform;
    onlyRenderVisibleElements: boolean;
    defaultPosition: [number, number];
    selectedElements?: import("../types").FlowElements<any> | undefined;
    selectedNodesBbox?: import("../types").Rect | undefined;
    nodesSelectionActive: boolean;
    selectionActive: boolean;
    userSelectionRect: import("../types").SelectionRect;
    multiSelectionActive: boolean;
    deleteKeyCode: import("../types").KeyCode;
    selectionKeyCode: import("../types").KeyCode;
    multiSelectionKeyCode: import("../types").KeyCode;
    zoomActivationKeyCode: import("../types").KeyCode;
    connectionNodeId?: string | undefined;
    connectionHandleId?: string | undefined;
    connectionHandleType?: import("../types").HandleType | undefined;
    connectionPosition: import("../types").XYPosition;
    connectionMode: import("../types").ConnectionMode;
    connectionLineType: import("../types").ConnectionLineType;
    edgeUpdaterRadius: number;
    snapToGrid: boolean;
    snapGrid: import("../types").SnapGrid;
    arrowHeadColor: string;
    edgesUpdatable: boolean;
    nodesDraggable: boolean;
    nodesConnectable: boolean;
    elementsSelectable: boolean;
    selectNodesOnDrag: boolean;
    paneMoveable: boolean;
    zoomOnScroll: boolean;
    zoomOnPinch: boolean;
    panOnScroll: boolean;
    panOnScrollSpeed: number;
    panOnScrollMode: import("../types").PanOnScrollMode;
    zoomOnDoubleClick: boolean;
    preventScrolling: boolean;
    isReady: boolean;
    vueFlowVersion: string;
    markerEndId?: string | undefined;
    connectionLineStyle?: import("vue").CSSProperties | undefined;
    storageKey?: string | undefined;
    loading?: string | undefined;
};
export default _default;
