import { Connection, ConnectionMode, ElementId, HandleType, FlowStore, ValidConnectionFunc } from "../types";
declare type Result = {
    elementBelow: Element | null;
    isValid: boolean;
    connection: Connection;
    isHoveringHandle: boolean;
};
export declare const checkElementBelowIsValid: (event: MouseEvent, connectionMode: ConnectionMode, isTarget: boolean, nodeId: ElementId, handleId: ElementId, isValidConnection: ValidConnectionFunc, doc: Document) => Result;
declare const _default: (store?: FlowStore) => (event: MouseEvent, handleId: ElementId, nodeId: ElementId, isTarget: boolean, isValidConnection?: ValidConnectionFunc | undefined, elementEdgeUpdaterType?: HandleType | undefined, onEdgeUpdate?: ((connection: Connection) => void) | undefined, onEdgeUpdateEnd?: (() => void) | undefined) => void;
export default _default;
